<template>
    <main>

        <p> Recherche des article? </p>
        <input type="text" v-model="input" placeholder="Vous cherchez quelques-choses..?" />
<!--     
        <div class="item fruit" v-for="fruit in filteredList()" :key="fruit">
            <p>{{ fruit }}</p>
        </div> -->
    
        <div class="item error" v-if="input&&!filteredList().length">
            <p>No results found!</p>
        </div>
    </main>
</template>

<script setup lang="ts">
import { ref } from "vue";

let input = ref("");

// const fruits = ["apple", "banana", "orange"];

// function filteredList() {
//     return fruits.filter((fruit) =>
//     fruit.toLowerCase().includes(input.value.toLowerCase())
//     );
// }
</script>

<style scoped>
main{
    background-color: rgb(188, 208, 209);

    margin: 3rem;
}

p{
    font-size: 30px;
}

input{
    width: 5rem;
    font-size: 2rem;

}
</style>